← Amathebula

Scotland

West Region League Division 3

#IqembuPWDLPDBPPtsIsimo
1Clydebank RFC7511+220628WWDLW
2Paisley RFC4400+202420WWWW
3Moffat RFC5311+83317WWDL
4Waysiders/Drumpellier RFC5203+18311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC4103-4415WLLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Umthombo: Scottish Rugby · kuhloliwe Okt 18 16:20 · Isimo: imiphumela emihlanu yokugcina esinayo, entsha ingakwesokudla.

Imidlalo nemiphumela →

Ithebula ngalinye yilelo elishicilelwe yiligi uqobo, kufaka phakathi amaphuzu ebhonasi, ukususwa kwamaphuzu nemithetho yokulingana. I-BP iboniswa lapho iligi iyishicilela khona; kwezinye izindawo isivele iku-Pts.